/*! Desktop Mode View */
/** Page Structures */
a,
img {
    -webkit-user-drag: none;
    user-select: none;
}

a {
    text-decoration: none;
    color: unset;
}

body {
    font-family: var(--font-secondary);
}

footer {
    font-family: var(--font-tertiary);
    text-align: center;
    color: var(--footer);
}

html {
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: auto;
}

img {
    width: 90%;
    height: 100%;
    object-fit: scale-down;
    padding: 0 1rem 1rem 0;
}

p {
    font-size: 18px;
}

/** Selector (Class) */
.container {
    margin: 2rem 3rem;
}

.d-flex {
    display: flex;
}

.g-5 {
    gap: 3rem;
}

.grid__container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

.header {
    font-size: 36px;
    font-family: var(--font-primary);
}

.mt-5,
.team:nth-child(2),
.team:nth-child(5) {
    margin-top: 3rem;
}

.title {
    width: 50%;
}

.position {
    font-family: var(--font-primary);
    writing-mode: vertical-rl;
    text-orientation: sideways;
}

.text-uppercase {
    text-transform: uppercase;
}

.username {
    font-weight: 700;
    text-decoration: underline;
}

/** Pseudo-classes */
:root {
    --font-primary: 'PT Serif', serif;
    --font-secondary: 'Poppins', sans-serif;
    --font-tertiary: 'Montserrat', sans-serif;
    --color-primary: #000000;
    --color-secondary: #FFFFFF;
    --footer: #BDBDBD;
}

a:hover {
    color: initial;
}

/** Pseudo-elements */
::selection {
    background-color: var(--color-primary);
    color: var(--color-secondary);
}

::-webkit-scrollbar {
    height: 0.625rem;
}

::-webkit-scrollbar-thumb {
    border-radius: 0.625rem;
    border: 4px solid var(--color-secondary);
    background-color: var(--color-primary);
}

::-webkit-scrollbar-track {
    background-color: var(--color-secondary);
}

/*! Mobile Mode View */
@media screen and (max-width: 768px) {
    /** Page Structures */
    img {
        width: 100%;
    }

    /** Selector (Class) */
    .container {
        margin: 1rem;
    }

    .flex-col {
        flex-direction: column;
    }

    .grid__container {
        grid-template-columns: repeat(2, 1fr);
    }

    .team:nth-child(5) {
        margin-top: unset;
    }

    .team:nth-child(even) {
        margin-top: 3rem;
        margin-right: 1.5rem;
    }

    .title {
        width: unset;
    }
}